%% Copyright (c) 2011-2013, Loïc Hoguin <essen@ninenines.eu>
%%
%% Permission to use, copy, modify, and/or distribute this software for any
%% purpose with or without fee is hereby granted, provided that the above
%% copyright notice and this permission notice appear in all copies.
%%
%% THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
%% WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
%% MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
%% ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
%% WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
%% ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
%% OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

{application, cowboy, [
	{id, "Cowboy"},
	{description, "Small, fast, modular HTTP server."},
	{sub_description, "Cowboy is also a socket acceptor pool, "
		"able to accept connections for any kind of TCP protocol."},
	{vsn, "0.8.6"},
	{modules, [cowboy_static, cowboy_spdy, cowboy_clock, cowboy_websocket_handler, cowboy_client, cowboy, cowboy_middleware, cowboy_req, cowboy_protocol, cowboy_bstr, cowboy_app, cowboy_rest, cowboy_sup, cowboy_websocket, cowboy_sub_protocol, cowboy_loop_handler, cowboy_http, cowboy_router, cowboy_handler, cowboy_http_handler, cowboy_multipart]},
	{registered, [cowboy_clock, cowboy_sup]},
	{applications, [
		kernel,
		stdlib,
		ranch,
		crypto
	]},
	{mod, {cowboy_app, []}},
	{env, []}
]}.
